umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_cppheadercodeclassfielddeclarationblock.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codegenerators/cpp/cppheadercodeclassfielddeclarationblock.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock_t | qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock
static const uint | qt_meta_data_CPPHeaderCodeClassFieldDeclarationBlock []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock_t
Definition: moc_cppheadercodeclassfielddeclarationblock.cpp:24

## Variable Documentation

## ◆ qt_meta_data_CPPHeaderCodeClassFieldDeclarationBlock

const uint qt_meta_data_CPPHeaderCodeClassFieldDeclarationBlock[]
| static

Initial value:
= {
8,
0,
0, 0,
0, 0,
0, 0,
0, 0,
0, 0,
0,
0,
0
}

## ◆ qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock

const qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock_t qt_meta_stringdata_CPPHeaderCodeClassFieldDeclarationBlock
| static

Initial value:
= {
{
},
"CPPHeaderCodeClassFieldDeclarationBlock"
}